Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List attribute templates

Retrieves all attribute templates for the current application including their field definitions and associated attributes. Supports pagination, filtering by resources, searching, and sorting.

GET/api/v1/{team_slug}/{app_slug}/attributes
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
resourcesstring[]

Filter on attribute templates for different type of resources

searchstring

Search for attribute templates

sort-orderstring

Sort order. Should be one of ASC or DESC. Default DESC

sort-keystring

The key to sort on. Can be one of created_at, name and type (Default is created_at)

pageinteger

Page number (default is 1)

template_keystring[]

Filter the result on template key

per-pageinteger

Amount of products per page. Minimum 0 and max 100 (default is 20)

Responses
200

Attributes templates and corresponding attributes

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplate[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplate
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
created_atstring
fieldsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField
created_atstring
idstring
keystring
namestring
typestring
updated_atstring | null
filterableboolean
idstring
keystring
namestring
resourcesstring[] | null
translatableboolean
typestring
updated_atstring | null
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/attributes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "created_at": "string",
      "fields": [
        {
          "created_at": "string",
          "id": "string",
          "key": "string",
          "name": "string",
          "type": "string",
          "updated_at": "string"
        }
      ],
      "filterable": true,
      "id": "string",
      "key": "string",
      "name": "string",
      "resources": [
        "string"
      ],
      "translatable": true,
      "type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}